import { LogLevels } from '@likec4/log';
import type { Connection } from 'vscode-languageserver';
export declare const logger: any;
export declare function logError(err: unknown): void;
/**
 * Logs an error as warning (not critical)
 */
export declare function logWarnError(err: unknown): void;
export declare function setLogLevel(level: keyof typeof LogLevels): void;
export declare function logToLspConnection(connection: Connection): void;
